Bug 133214 - viewable kickstart is different from used kickstart
viewable kickstart is different from used kickstart
Status: CLOSED WONTFIX
Product: Red Hat Satellite 5
Classification: Red Hat
Component: Provisioning (Show other bugs)
unspecified
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Mike McCune
Red Hat Satellite QA List
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-09-22 10:34 EDT by Thomas Uebermeier
Modified: 2009-03-24 14:07 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-03-24 14:07:04 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Thomas Uebermeier 2004-09-22 10:34:15 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.6) Gecko/20040510

Description of problem:
when creating a kickstart config the path to the kickstart config,
that is being used (URL:) is different from the one you get, when
clicking on 'view'. ie:
http://rhn.redhat.com/kickstart/ks/org/<ID>/label/<LABEL>
vs.
http://rhn.redhat.com/kickstart/ks/org/<ID>/view_label/<LABEL>

The error exists on rhn.redhat.com as well as on satellite.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. goto kickstart
2. create new
3. select 'View'
4. compare to the kickstart URL

    

Actual Results:  different kickstart files

Expected Results:  same kickstart files

Additional info:

diff -u ks2-real.txt ks2-see.txt
--- ks2-real.txt        2004-09-22 15:17:42.848239840 +0100
+++ ks2-see.txt 2004-09-22 15:17:51.753885976 +0100
@@ -56,6 +56,11 @@

 # --Begin RHN command section--

+mkdir -p /tmp/rhn_rpms/optional
+wget -P /tmp/rhn_rpms/optional
http://download.rhn.redhat.com/download/1095905769/8e9708c0fcd774337d3357fd405f56a9517e4e22/0/0/redhat/linux/9/en/os/i386/RedHat/RPMS/pyOpenSSL-0.5.1-8.i386.rpm
http://download.rhn.redhat.com/download/1095905769/1279ac1e65083c350b02db8c3a86dd5f0a83314a/0/0/rhn/repository/NULL/rhnlib/1.8-6.p22/noarch/rhnlib-1.8-6.p22.noarch.rpm
+wget -P /tmp/rhn_rpms
http://download.rhn.redhat.com/download/1095905769/a46fda3d2f1b97110d8ce9698bce07d17db5ab06/0/0/rhn/repository/NULL/up2date/4.2.38-1/i386/up2date-4.2.38-1.i386.rpm
http://download.rhn.redhat.com/download/1095905769/2662b2847a7546b6def365bda1384f64c641721b/0/0/rhn/repository/NULL/up2date-gnome/4.2.38-1/i386/up2date-gnome-4.2.38-1.i386.rpm
+rpm -Uvh --replacepkgs --replacefiles
/tmp/rhn_rpms/optional/pyOpenSSL* /tmp/rhn_rpms/optional/rhnlib*
+rpm -Fvh /tmp/rhn_rpms/*rpm
 rpm --import /usr/share/rhn/RPM-GPG-KEY
 mkdir -p /etc/sysconfig/rhn/allowed-actions/configfiles
 touch /etc/sysconfig/rhn/allowed-actions/configfiles/all
Comment 1 Thomas Uebermeier 2004-09-22 10:36:29 EDT
current workaround: use the url that links to the view to kickstart.
Comment 2 Robin Norwood 2006-10-17 12:10:45 EDT
mass reassign to mmccune
Comment 4 Tony Fu 2008-09-09 20:57:46 EDT
User uthomas@redhat.com's account has been closed

Note You need to log in before you can comment on or make changes to this bug.